<template>
  <svg width="1440" height="634" viewBox="0 0 1440 634"
       fill="none" xmlns="http://www.w3.org/2000/svg"
       xmlns:xlink="http://www.w3.org/1999/xlink"
       :style="{'left': getLeftOffsetBg()}">

    <g>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M2572.48 1370L498 -703.49L517.52 -723L2592 1350.49L2572.48 1370Z" fill="#DDE3EC"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M1959.3 1367L-113.999 -706.295L-102.294 -718L1971 1355.3L1959.3 1367Z" fill="#DDE3EC"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M2970.5 1289L898.001 -785.481L917.501 -805L2990 1269.48L2970.5 1289Z" fill="#DDE3EC"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M2478.68 70.1222C1906.88 -229.812 1232.9 -631.431 827.001 -1037.29L838.708 -1049C1242.68 -645.067 1914.67 -244.421 2486.37 55.4612C2772.1 205.334 3032.53 329.919 3221.54 417.036C3316.04 460.593 3392.67 494.78 3445.68 518.075C3472.18 529.723 3492.77 538.647 3506.74 544.658C3513.72 547.663 3519.04 549.94 3522.62 551.464C3524.41 552.227 3525.76 552.801 3526.66 553.184L3528 553.75C3528.01 553.753 3528.01 553.755 3527.21 555.658C3526.74 556.779 3525.99 558.558 3524.8 561.384C3521.58 569.009 3521.57 569.006 3521.55 569L3520.2 568.425C3519.29 568.038 3517.93 567.46 3516.13 566.694C3512.53 565.162 3507.19 562.877 3500.19 559.864C3486.19 553.838 3465.56 544.897 3439.01 533.231C3385.93 509.901 3309.2 475.673 3214.6 432.071C3025.41 344.868 2764.71 220.157 2478.68 70.1222Z" fill="#DDE3EC"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M817 1597.48L2891.48 -477L2911 -457.481L836.519 1617L817 1597.48Z" fill="#DDE3EC"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M-274 1256.29L1799.3 -817L1811 -805.295L-262.295 1268L-274 1256.29Z" fill="#DDE3EC"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M130 1272.48L2204.48 -802L2224 -782.481L149.519 1292L130 1272.48Z" fill="#DDE3EC"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M591 1517.49L2665.48 -556L2685 -536.49L610.519 1537L591 1517.49Z" fill="#DDE3EC"/>
      <path d="M863 93.4118L799.412 157L675 32.5882L738.589 -31L863 93.4118Z" fill="#DDE3EC"/>
      <path d="M941.001 16.75L877.412 80L753.001 -43.75L816.589 -107L941.001 16.75Z" fill="#DDE3EC"/>
      <path d="M1064 -104.714L956.751 3L833.001 -121.286L940.251 -229L1064 -104.714Z" fill="#DDE3EC"/>
      <path d="M1545 79.9655L1453.97 171L1385 102.034L1476.03 11L1545 79.9655Z" fill="#DDE3EC"/>
      <path d="M1057 229.038L965.616 320L841.001 195.962L932.385 105L1057 229.038Z" fill="#DDE3EC"/>
      <path d="M1170 10.9103L1023.23 157L954.001 88.0897L1100.77 -58L1170 10.9103Z" fill="#DDE3EC"/>
      <path d="M1180 184.447L1116.45 248L1075 206.553L1138.55 143L1180 184.447Z" fill="#DDE3EC"/>
      <path d="M1263 102.447L1200.05 166L1159 124.553L1221.95 61L1263 102.447Z" fill="#DDE3EC"/>
      <path d="M1622 454.797L1365.52 712L1269 615.203L1525.48 358L1622 454.797Z" fill="#DDE3EC"/>
      <g filter="url(#filter0_d)">
        <path fill-rule="evenodd" clip-rule="evenodd" d="M1519.82 853.818L1622.82 750.818C1626.05 747.587 1626.05 742.348 1622.82 739.116L1541.88 658.182C1538.65 654.95 1533.41 654.95 1530.18 658.182L1427.18 761.182C1423.95 764.413 1423.95 769.652 1427.18 772.884L1508.12 853.818C1511.35 857.05 1516.59 857.05 1519.82 853.818ZM1521.77 855.769L1624.77 752.769C1629.08 748.46 1629.08 741.474 1624.77 737.166L1543.83 656.231C1539.53 651.923 1532.54 651.923 1528.23 656.231L1425.23 759.231C1420.92 763.54 1420.92 770.526 1425.23 774.834L1506.17 855.769C1510.47 860.077 1517.46 860.077 1521.77 855.769Z" fill="url(#paint0_linear)" fill-opacity="0.4"/>
      </g>
      <path d="M1476 311.603L1412.31 375L1260 223.397L1323.69 160L1476 311.603Z" fill="#DDE3EC"/>
      <g filter="url(#filter1_d)">
        <path d="M1624.77 752.769L1521.77 855.769C1517.46 860.077 1510.47 860.077 1506.17 855.769L1425.23 774.834C1420.92 770.526 1420.92 763.54 1425.23 759.231L1528.23 656.231C1532.54 651.923 1539.53 651.923 1543.83 656.231L1624.77 737.166C1629.08 741.474 1629.08 748.46 1624.77 752.769Z" fill="#DDE3EC"/>
        <path d="M1624.42 752.415L1521.42 855.415C1517.3 859.528 1510.63 859.528 1506.52 855.415L1425.59 774.481C1421.47 770.367 1421.47 763.698 1425.59 759.585L1528.59 656.585C1532.7 652.472 1539.37 652.472 1543.48 656.585L1624.42 737.519C1628.53 741.633 1628.53 748.302 1624.42 752.415Z" stroke="url(#paint1_linear)"/>
      </g>
      <path d="M0 0H1440V634H0V0Z" fill="url(#paint2_linear)"/>
      <path d="M0 0H967V634H0V0Z" fill="url(#paint3_linear)"/>
      <g filter="url(#filter2_dddddd)">
        <path d="M1335.31 400.647L1200.09 535.374C1196.96 538.485 1191.91 538.485 1188.79 535.374L1075.69 422.688C1072.55 419.561 1072.55 414.48 1075.69 411.353L1210.91 276.626C1214.04 273.515 1219.09 273.515 1222.21 276.626L1335.31 389.312C1338.45 392.439 1338.45 397.52 1335.31 400.647Z" fill="#F6F8FB"/>
        <path d="M1334.96 400.293L1199.73 535.02C1196.81 537.936 1192.07 537.936 1189.15 535.02L1076.04 422.334C1073.1 419.402 1073.1 414.638 1076.04 411.707L1211.27 276.98C1214.19 274.064 1218.93 274.064 1221.85 276.98L1334.96 389.667C1337.9 392.598 1337.9 397.362 1334.96 400.293Z" stroke="white" stroke-opacity="0.4"/>
      </g>
      <clipPath id="mask1" x="806" y="301" width="368" height="210">
        <rect x="806" y="301" width="368" height="210" rx="4" fill="#365EC2"/>
      </clipPath>
      <g clip-path="url(#mask1)" class="animate-second">
        <rect x="781" y="179" width="413" height="376" fill="url(#pattern0)"/>
        <rect opacity="0.16" x="806" y="301" width="368" height="210" rx="4" fill="#050F26"/>
        <path d="M810 506C810 505.448 810.448 505 811 505H896C896.552 505 897 505.448 897 506V506C897 506.552 896.552 507 896 507H811C810.448 507 810 506.552 810 506V506Z" fill="white"/>
        <path opacity="0.4" d="M992 506C992 505.448 992.448 505 993 505H1078C1078.55 505 1079 505.448 1079 506V506C1079 506.552 1078.55 507 1078 507H993C992.448 507 992 506.552 992 506V506Z" fill="white"/>
        <path opacity="0.4" d="M901 506C901 505.448 901.448 505 902 505H987C987.552 505 988 505.448 988 506V506C988 506.552 987.552 507 987 507H902C901.448 507 901 506.552 901 506V506Z" fill="white"/>
        <path opacity="0.4" d="M1083 506C1083 505.448 1083.45 505 1084 505H1169C1169.55 505 1170 505.448 1170 506V506C1170 506.552 1169.55 507 1169 507H1084C1083.45 507 1083 506.552 1083 506V506Z" fill="white"/>
        <g filter="url(#filter3_di)" class="animate-third">
          <circle cx="990" cy="406" r="40" fill="url(#paint5_linear)"/>
          <path d="M979 408L985 414L1001 398" stroke="white" stroke-width="2"/>
        </g>
        <path opacity="0.4" d="M822 467C822 464.791 823.791 463 826 463H904C906.209 463 908 464.791 908 467V491C908 493.209 906.209 495 904 495H826C823.791 495 822 493.209 822 491V467Z" fill="#050F26"/>
        <path d="M838.508 484.098C837.752 484.098 837.071 483.935 836.464 483.608C835.857 483.281 835.381 482.829 835.036 482.25C834.7 481.662 834.532 480.999 834.532 480.262C834.532 479.525 834.7 478.867 835.036 478.288C835.381 477.709 835.857 477.257 836.464 476.93C837.071 476.603 837.752 476.44 838.508 476.44C839.273 476.44 839.959 476.603 840.566 476.93C841.173 477.257 841.644 477.709 841.98 478.288C842.325 478.867 842.498 479.525 842.498 480.262C842.498 480.999 842.325 481.662 841.98 482.25C841.644 482.829 841.173 483.281 840.566 483.608C839.959 483.935 839.273 484.098 838.508 484.098ZM838.508 482.6C839.152 482.6 839.684 482.385 840.104 481.956C840.524 481.527 840.734 480.962 840.734 480.262C840.734 479.562 840.524 478.997 840.104 478.568C839.684 478.139 839.152 477.924 838.508 477.924C837.864 477.924 837.332 478.139 836.912 478.568C836.501 478.997 836.296 479.562 836.296 480.262C836.296 480.962 836.501 481.527 836.912 481.956C837.332 482.385 837.864 482.6 838.508 482.6ZM849.875 478.008H847.257V484H845.507V478.008H842.875V476.524H849.875V478.008ZM860.81 478.848C861.323 479.081 861.715 479.399 861.986 479.8C862.266 480.192 862.406 480.654 862.406 481.186C862.406 481.783 862.238 482.306 861.902 482.754C861.575 483.202 861.109 483.547 860.502 483.79C859.895 484.023 859.191 484.14 858.388 484.14C857.585 484.14 856.881 484.023 856.274 483.79C855.677 483.547 855.215 483.202 854.888 482.754C854.561 482.306 854.398 481.783 854.398 481.186C854.398 480.654 854.533 480.192 854.804 479.8C855.075 479.399 855.462 479.081 855.966 478.848C855.574 478.633 855.271 478.353 855.056 478.008C854.851 477.653 854.748 477.247 854.748 476.79C854.748 476.239 854.897 475.759 855.196 475.348C855.504 474.937 855.933 474.62 856.484 474.396C857.035 474.172 857.669 474.06 858.388 474.06C859.116 474.06 859.755 474.172 860.306 474.396C860.857 474.62 861.286 474.937 861.594 475.348C861.902 475.759 862.056 476.239 862.056 476.79C862.056 477.247 861.949 477.649 861.734 477.994C861.519 478.339 861.211 478.624 860.81 478.848ZM858.388 475.488C857.819 475.488 857.366 475.609 857.03 475.852C856.703 476.095 856.54 476.435 856.54 476.874C856.54 477.294 856.703 477.63 857.03 477.882C857.366 478.125 857.819 478.246 858.388 478.246C858.967 478.246 859.424 478.125 859.76 477.882C860.096 477.63 860.264 477.294 860.264 476.874C860.264 476.435 860.091 476.095 859.746 475.852C859.41 475.609 858.957 475.488 858.388 475.488ZM858.388 482.712C859.06 482.712 859.592 482.572 859.984 482.292C860.376 482.012 860.572 481.625 860.572 481.13C860.572 480.645 860.376 480.262 859.984 479.982C859.592 479.702 859.06 479.562 858.388 479.562C857.716 479.562 857.189 479.702 856.806 479.982C856.423 480.262 856.232 480.645 856.232 481.13C856.232 481.625 856.423 482.012 856.806 482.292C857.189 482.572 857.716 482.712 858.388 482.712ZM868.039 477.952C868.683 477.952 869.261 478.078 869.775 478.33C870.288 478.573 870.689 478.923 870.979 479.38C871.268 479.837 871.413 480.365 871.413 480.962C871.413 481.597 871.254 482.157 870.937 482.642C870.619 483.118 870.19 483.487 869.649 483.748C869.107 484.009 868.501 484.14 867.829 484.14C866.485 484.14 865.439 483.72 864.693 482.88C863.955 482.04 863.587 480.836 863.587 479.268C863.587 478.167 863.787 477.229 864.189 476.454C864.59 475.67 865.15 475.077 865.869 474.676C866.597 474.265 867.437 474.06 868.389 474.06C868.893 474.06 869.364 474.116 869.803 474.228C870.251 474.331 870.638 474.485 870.965 474.69L870.293 476.062C869.807 475.745 869.187 475.586 868.431 475.586C867.488 475.586 866.751 475.875 866.219 476.454C865.687 477.033 865.421 477.868 865.421 478.96V478.974C865.71 478.638 866.079 478.386 866.527 478.218C866.975 478.041 867.479 477.952 868.039 477.952ZM867.731 482.712C868.3 482.712 868.762 482.563 869.117 482.264C869.471 481.956 869.649 481.55 869.649 481.046C869.649 480.533 869.471 480.127 869.117 479.828C868.762 479.529 868.286 479.38 867.689 479.38C867.101 479.38 866.62 479.539 866.247 479.856C865.883 480.173 865.701 480.575 865.701 481.06C865.701 481.536 865.878 481.933 866.233 482.25C866.597 482.558 867.096 482.712 867.731 482.712ZM876.452 484.14C875.668 484.14 874.968 483.944 874.352 483.552C873.736 483.151 873.251 482.572 872.896 481.816C872.541 481.051 872.364 480.145 872.364 479.1C872.364 478.055 872.541 477.154 872.896 476.398C873.251 475.633 873.736 475.054 874.352 474.662C874.968 474.261 875.668 474.06 876.452 474.06C877.236 474.06 877.936 474.261 878.552 474.662C879.177 475.054 879.667 475.633 880.022 476.398C880.377 477.154 880.554 478.055 880.554 479.1C880.554 480.145 880.377 481.051 880.022 481.816C879.667 482.572 879.177 483.151 878.552 483.552C877.936 483.944 877.236 484.14 876.452 484.14ZM876.452 482.558C877.152 482.558 877.703 482.269 878.104 481.69C878.515 481.111 878.72 480.248 878.72 479.1C878.72 477.952 878.515 477.089 878.104 476.51C877.703 475.931 877.152 475.642 876.452 475.642C875.761 475.642 875.211 475.931 874.8 476.51C874.399 477.089 874.198 477.952 874.198 479.1C874.198 480.248 874.399 481.111 874.8 481.69C875.211 482.269 875.761 482.558 876.452 482.558ZM888.677 480.766V481.564H891.757V482.544H888.677V484H886.857V482.544H885.457V481.564H886.857V474.2H890.889C892.196 474.2 893.213 474.48 893.941 475.04C894.678 475.6 895.047 476.417 895.047 477.49C895.047 478.554 894.678 479.366 893.941 479.926C893.213 480.486 892.196 480.766 890.889 480.766H888.677ZM893.213 477.504C893.213 476.935 893.012 476.501 892.611 476.202C892.21 475.894 891.631 475.74 890.875 475.74H888.677V479.296H890.875C891.622 479.296 892.196 479.142 892.597 478.834C893.008 478.517 893.213 478.073 893.213 477.504Z" fill="white"/>
      </g>
      <g class="animate-first">
        <circle opacity="0.1" cx="1206" cy="406" r="16" fill="url(#paint6_linear)"/>
        <g filter="url(#filter4_di)">
          <circle cx="1206" cy="406" r="7" fill="url(#paint7_linear)"/>
        </g>
      </g>

    </g>
    <defs>
      <filter id="filter0_d" x="1398" y="629" width="246" height="246" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
      </filter>
      <filter id="filter1_d" x="1398" y="629" width="246" height="246" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
      </filter>
      <filter id="filter2_dddddd" x="1049.33" y="250.293" width="306.331" height="305.414" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 0.6 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect1_dropShadow" result="effect2_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect2_dropShadow" result="effect3_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect3_dropShadow" result="effect4_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="5"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect4_dropShadow" result="effect5_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="2"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.836111 0 0 0 0 0.860995 0 0 0 0 0.895833 0 0 0 0.14 0"/>
        <feBlend mode="normal" in2="effect5_dropShadow" result="effect6_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect6_dropShadow" result="shape"/>
      </filter>
      <pattern id="pattern0" patternContentUnits="objectBoundingBox" width="1" height="1">
        <use xlink:href="#image0" transform="translate(0 0.15) scale(0.000336814)"/>
      </pattern>
      <filter id="filter3_di" x="900" y="316" width="200" height="200" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="10" dy="10"/>
        <feGaussianBlur stdDeviation="30"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.287639 0 0 0 0 0.908333 0 0 0 0 0.826355 0 0 0 0.3 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
        <feOffset dx="16" dy="16"/>
        <feGaussianBlur stdDeviation="15"/>
        <feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.1 0"/>
        <feBlend mode="normal" in2="shape" result="effect2_innerShadow"/>
      </filter>
      <filter id="filter4_di" x="1179" y="379" width="74" height="74" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="10" dy="10"/>
        <feGaussianBlur stdDeviation="15"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.360784 0 0 0 0 0.776471 0 0 0 0 0.721569 0 0 0 0.3 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
        <feOffset dx="16" dy="16"/>
        <feGaussianBlur stdDeviation="15"/>
        <feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.1 0"/>
        <feBlend mode="normal" in2="shape" result="effect2_innerShadow"/>
      </filter>
      <linearGradient id="paint0_linear" x1="1417.43" y1="648.43" x2="1645.83" y2="663.576" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="0.0001" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint1_linear" x1="1422" y1="653" x2="1649.28" y2="680.025" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="0.0001" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint2_linear" x1="720" y1="0" x2="720" y2="633" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#F4F7FA"/>
        <stop offset="0.161458" stop-color="#F4F7FA" stop-opacity="0.86"/>
        <stop offset="0.489583" stop-color="#F4F7FA" stop-opacity="0"/>
        <stop offset="0.822917" stop-color="#F4F7FA" stop-opacity="0.78"/>
        <stop offset="1" stop-color="#F4F7FA"/>
      </linearGradient>
      <linearGradient id="paint3_linear" x1="0" y1="317.501" x2="967" y2="317.501" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#F4F7FA"/>
        <stop offset="1" stop-color="#F8FAF4" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint4_linear" x1="806" y1="301" x2="1195.54" y2="354.66" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint5_linear" x1="950" y1="366" x2="1035.76" y2="372.741" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint6_linear" x1="1190" y1="390" x2="1224.3" y2="392.697" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint7_linear" x1="1199" y1="399" x2="1214.01" y2="400.18" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <image id="image0" width="2969" height="2734" xlink:href="/images/step2-card.png"/>
    </defs>
  </svg>


</template>

<script>
  export default {
    name: "SecondStepBg",
    data: () => ({
      windowWidth: 0
    }),
    mounted() {
      this.$nextTick(() => {
        setTimeout(() => {
          if (this.checkTopOffset()) {
            this.$el.classList.add('animate');
          }
        }, 100)
      });

      window.addEventListener('scroll', this.onScroll);
      window.addEventListener('resize', this.onResize);
    },
    beforeDestroy() {
      window.removeEventListener('resize', this.onResize);
      window.removeEventListener('scroll', this.onScroll);
    },
    methods: {
      onResize() {
        this.windowWidth = window.innerWidth;
      },

      getLeftOffsetBg() {
        return this.windowWidth < 1440
          ? this.windowWidth > 1299
            ? `${(1440 - this.windowWidth) / 5.25}px`
            : `2rem`
          : 0;
      },

      onScroll() {
        if (this.checkTopOffset()) {
          this.$el.classList.add('animate');
        } else {
          this.$el.classList.remove('animate');
        }
      },

      checkTopOffset() {
        return (window.innerHeight - this.$el.getBoundingClientRect().top) > this.$el.getBoundingClientRect().height * 0.8
      }
    }
  }
</script>

<style lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .animate-first {
    transition: all .75s;
    transition-delay: .15s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate-second {
    transition: all .75s;
    transition-delay: .30s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate-third {
    transition: all .55s;
    transition-delay: .45s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate {
    .animate-first,
    .animate-second,
    .animate-third {
      opacity: 1;
      transform: none;
    }
  }

</style>
